/**
 * A function that will match a browserslist on the given user agent
 * @param {string} userAgent
 * @param {string[]} browserslist
 * @returns {boolean}
 */
export declare function matchBrowserslistOnUserAgent(userAgent: string, browserslist: string[]): boolean;
/**
 * Generates a Browserslist based on browser support for the given features
 * @param {string[]} features
 * @returns {string}
 */
export declare function browsersWithSupportForFeatures(...features: string[]): string[];
/**
 * Returns true if the given browserslist support all of the given features
 * @param {string[]} browserslist
 * @param {string} features
 * @returns {boolean}
 */
export declare function browserslistSupportsFeatures(browserslist: string[], ...features: string[]): boolean;
/**
 * Generates a Browserslist based on browsers that *doesn't* support the given features
 * @param {string[]} features
 * @returns {string}
 */
export declare function browsersWithoutSupportForFeatures(...features: string[]): string[];
